Skip to main content
Uploads one or more files to the cloud. A list of all valid input formats is available in the Specification section. The method returns the file’s identifier and token in the response. The identifier and token are used in all subsequent requests concerning the file.
The project settings for document assembly are ignored when uploading a file via the REST API. A separate document is created for each file.

HTTP request

POST https://api-{location-id}.flexicapture.com/v2/file
Replace {location-id} with your supported location.

Path parameters

ParameterTypeDescription
filefile, formdataRequired. File body.

Response

If successful, the response body contains an instance of FileInfoModel.
{
  "id": "string",
  "token": "string",
  "name": "string",
  "extension": "string",
  "hash": "string",
  "size": 0,
  "mime": "string",
  "is_recognizable": true,
  "account": "string",
  "application": "string",
  "email": "string",
  "created": "YYYY-MM-DDT00:00:00.000",
  "expiring": "YYYY-MM-DDT00:00:00.000"
}
FieldTypeDescription
idstringRequired. File ID. The ID is used in all subsequent requests concerning the file.
tokenstringRequired. File access token. The token is used in all subsequent requests concerning the file.
namestringRequired. File name.
extensionstringRequired. File extension.
hashstringRequired. File SHA512 hash.
sizeintegerRequired. File size in bytes.
mimestringRequired. File MIME type.
is_recognizablebooleanRequired. Specifies whether the file is recognizable.
accountstringRequired. Account ID.
applicationstringOptional. Application ID.
emailstringRequired. The email address of the user who uploaded the file.
createdstring ($date-time)Required. File upload date.
expiringstring ($date-time)Required. File expiration date.